(function($){
	var ReSizable	= function(table, options){

		var t	= $(table);
		if (!t.get(0) || (!t.is("table") && !t.is(".table")))
		{
			return false;
		}

		t.addClass("jq-tbl-resizable");

		$(".jq-col-handle", t).remove();

//		var th	= t.find(">thead>tr>th,>thead>tr>td");
		var th	= t.find("> .thead > .trow > .tcell");
		if (!th.length)
		{
//			th	= t.find(">tbody>tr:first>th,>tr:first>th,>tbody>tr:first>td, >tr:first>td");
			th	= t.find("> .tbody > .trow:first > .tcell");
		}

		th.each(function(i){
			if (th.length-1 == i)
			{
				return true;
			}

			var c	= $(th.get(i)),
			cPos	= c.position();

			var handle	= $('<span class="jq-col-handle" />');
			c.append(handle);

			handle.mousedown(function(e){
				var newWid	= 0;
				$("body").mousemove(function(ev){
//					newWid	= Math.round(ev.pageX - (c.offset().left + options.threshold));
					newWid	= Math.round(ev.pageX - c.offset().left);
//					newWid	= Math.round(ev.pageX - (t.offset().left + c.position().left + options.threshold));
					if (newWid > options.minWidth)
					{
						c.css({ width: newWid });
					}
				}).mouseup(function(){
					$("body").unbind("mousemove").unbind("mouseup");
				});
			});	
		});

		return t;
	};
/*
clientX 115
screenX 164

*/
	$.fn.extend({
		colResizable: function(options){
			var defaults	= {
				threshold: 0,
				minWidth: 30
			};
			var options	= $.extend(defaults, options);
			return this.each(function(){
				ReSizable(this, options);
			});
		}
	});
})(jQuery);
